import {
    ApiModel
} from "../../../utils/api";
const _Http = new ApiModel();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        NavHeight: getApp().globalData.myNavBorHeight, //头部导航高度
        /* 宫格列表 */
        gridList: [{
            id: '001',
            text: '商户管理',
            icon: '/static/login/Phone.png'
        }, {
            id: '002',
            text: '产品管理',
            icon: '/static/login/identity.png'
        }, {
            id: '003',
            text: '合作商家',
            icon: '/static/login/username.png'
        }, {
            id: '004',
            text: '团队管理',
            icon: '/static/login/verificationcode.png'
        }],
        userMessage: {}, //用户信息
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },
    /* 宫格展示区跳转 */
    gridJumpPage(e) {
        const {
            name
        } = e.target.dataset;
        if (name == "团队管理") {
            wx.navigateTo({
                url: '/pages/teamManagement/index',
            })
        } else if (name == '产品管理') {
            wx.navigateTo({
                url: '/pages/productManagement/index'
            })
        } else if (name == '商户管理') {
            wx.navigateTo({
                url: '/pages/storeMessage/index'
            })
        } else if (name == '合作商家') {
            wx.navigateTo({
                url: '/pages/businessPartner/index'
            })
        }
    },
    /* 跳转用户信息 */
    toUserCenter() {
        const data = JSON.stringify(this.data.userMessage)
        wx.navigateTo({
            url: '/pages/userCenter/index?data=' + data,
        })
    },
    /* 退出登录 */
    userLogout() {
        _Http.logout({
            "accesstoken": wx.getStorageSync('userData').token
        }).then(res => {
            if (res.status == "ok") {
                wx.showToast({
                    title: '退出成功',
                })
                wx.setStorageSync('userData', {}) //清空用户数据
                setTimeout(() => {
                    wx.reLaunch({
                        url: '/pages/login/index',
                    })
                }, 500)
            }
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.getTabBar().init();
        // 获取用户信息
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "customer.usercenter.usermsg.usermsg",
            "method": "query_usermsg",
            "content": {}
        }).then(res => {
            if (res.msg == '成功') return this.setData({
                userMessage: res.data[0]
            })
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})